import { Column, Entity, JoinColumn, ManyToOne, PrimaryColumn, PrimaryGeneratedColumn } from 'typeorm';
import { BaseModel } from './base.entity';
import { BrandEntity } from './brand.entity';

@Entity('message_promotion_brand')
export class MessagePromotionBrandEntity extends BaseModel {
  @PrimaryColumn({ type: 'bigint' })
  promotion_id: string;

  @PrimaryColumn({ type: 'smallint' })
  type: number;

  @Column({
    type: 'bigint',
    array: true,
    default: [],
  })
  user_ids: string[];

  @Column({
    type: 'varchar',
    default: '',
  })
  cover: string;

  @Column({
    type: 'varchar',
    default: '',
  })
  title: string;

  @Column({
    type: 'text',
    default: '',
  })
  description: string;

  @ManyToOne(() => BrandEntity, (brand) => brand.brand_id)
  @JoinColumn({
    name: 'brand_id',
  })
  brand: BrandEntity;
}
